Package org.eclipse.birt.report.model.api

# Class DataSourceHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSourceHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`

Direct Known Subclasses:
  `OdaDataSourceHandle`, `ScriptDataSourceHandle`

public abstract class DataSourceHandle extends ReportElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel
This abstract class represents a data source element: a connection to an external data provider such as an SQL database.

The application can implement methods to execute code on the two primary data source events: open and close.

See Also:
  - `DataSource`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSourceModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

## Constructor Summary

Constructors
Constructor
Description
`DataSourceHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs a handle of DataSource with the given design and element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAfterClose()`
Returns the code of the afterClose method.
`String`
`getAfterOpen()`
Returns the code of the afterOpen method.
`String`
`getBeforeClose()`
Returns the code of the beforeClose method.
`String`
`getBeforeOpen()`
Returns the code of the beforeOpen method.
`void`
`setAfterClose(String code)`
Sets the code for the afterClose method.
`void`
`setAfterOpen(String code)`
Sets the code for the afterOpen method.
`void`
`setBeforeClose(String code)`
Sets the code for the beforeClose method.
`void`
`setBeforeOpen(String code)`
Sets the code for the beforeOpen method.

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSourceHandle

public DataSourceHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs a handle of DataSource with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getBeforeOpen

public String getBeforeOpen()
Returns the code of the beforeOpen method. This is the script called just before opening the data source.

Returns:
  the code of the method

### setBeforeOpen

public void setBeforeOpen(String code) throws SemanticException
Sets the code for the beforeOpen method. This is the script called just before opening the data source.

Parameters:
  `code` - the code for the method
Throws:
  `SemanticException` - if the method is locked.

### getBeforeClose

public String getBeforeClose()
Returns the code of the beforeClose method. This is the script called just before closing the data source.

Returns:
  the code of the method

### setBeforeClose

public void setBeforeClose(String code) throws SemanticException
Sets the code for the beforeClose method. This is the script called just before closing the data source.

Parameters:
  `code` - the code for the method
Throws:
  `SemanticException` - if the method is locked.

### getAfterOpen

public String getAfterOpen()
Returns the code of the afterOpen method. This is the script called just after opening the data source.

Returns:
  the code of the method

### setAfterOpen

public void setAfterOpen(String code) throws SemanticException
Sets the code for the afterOpen method. This is the script called just after opening the data source.

Parameters:
  `code` - the code for the method
Throws:
  `SemanticException` - if the method is locked.

### getAfterClose

public String getAfterClose()
Returns the code of the afterClose method. This is the script called just after closing the data source.

Returns:
  the code of the method

### setAfterClose

public void setAfterClose(String code) throws SemanticException
Sets the code for the afterClose method. This is the script called just after closing the data source.

Parameters:
  `code` - the code for the method
Throws:
  `SemanticException` - if the method is locked.